About S Button

S Button allows you to change the functions assigned to the computer's S buttons.
To assign functions to individual buttons, select functions from those available in the drop-down lists.
With Launch Application selected from the drop-down list, click the Advanced button to display the Specify Application dialog box and specify an application to be launched when you press the S button.

Available command buttons

How the changes are applied depends on the button.
Button | Function
Apply | Saves your changes without closing the window.
OK | Saves your changes and closes the window.
Cancel | Closes the window without saving your changes.
Default | Restores all settings to their initial values.
Help | Displays this help window.


Changing the S Button Setting

If your computer is equipped with the S button(s), you can assign a function to this button for operating the computer, and then perform the function simply by pressing the button. Use S Button to change the function assigned to the button.
Select a function from those available in the drop-down list. A description of the selected function appears in the Current Settings box.

Assigning the External Display function to the S button, and then pressing the button enables you to switch display between the computer's LCD and the external display.
With Launch Application selected from the drop-down list, click the Advanced button to display the Specify Application dialog box and specify an application to be launched when you press the S button.


Trademarks

Copyright 2005 Sony Corporation

  • is a trademark of Sony Corporation.
  • All other system names and product names appearing in this document are generally the registered trademarks or trademarks of their respective manufacturers. Further, the trademark (TM) and registered trademark (R) symbols are not indicated throughout this document.

  • Copying all or part of the contents of this software and help, or renting the software without authorization are prohibited by copyright laws.
  • The Sony Corporation cannot accept liability for damage or loss resulting from the use of this software, or for any claim from a third party.
  • This software must not be used in a system other than that specified.
  • The software specifications may be subject to change without notice.


Specify Application Dialog Box

Use this dialog box to specify an application to be launched when you press the S button.

When Launch Application is selected as the function assigned to the S button, the Advanced button in the Current Settings box is enabled. Click this button to display the Specify Application dialog box.

  • Application
    Specify the path to the application to be launched when you press the S button.
  • Option
    Enter parameters if necessary for launching the application.
    This is not a mandatory item.
  • Work folder
    Specify a work folder if you wish a particular folder to be used by the application.
    This is not a mandatory item.

This dialog box contains the following buttons.

Button | Function
OK | Saves the changes and closes this dialog box.
Cancel | Close the dialog box without saving the settings.
Help | Bring up this help screen.


.topic 0x10001
OK Command Button :
Click the OK button to save the current settings and close this window. You may need to restart your VAIO Notebook Computer. If so, follow the instructions in the dialog box.

.topic 0x10002
Cancel Command Button :
Click the Cancel button to close this window without saving any of the modified settings.

.topic 0x10069
Default Command Button :
Click the Default button to reset most of the options available in this window to their default values. A pop-up dialog box will ask you to confirm this action.
Click OK to return the settings to their default values, or Cancel to keep the current settings.

.topic 0x13021
Apply Command Button :
Click the Apply button to save your changes without closing this window.
You may need to restart your VAIO Notebook Computer for your settings to take effect. If so, follow the instructions in the dialog box.

.topic 0x10009
Help Command Button :
Click the Help button to display this window.

.topic 0x104ED
Select a function from those available in the drop-down list.

.topic 0x104EE
Select a function from those available in the drop-down list.

.topic 0x10593
Select this check box to display a balloon message when the S button is pressed.